import QtQuick 1.0
//import QtWebKit 1.0

Item {
    id: newsDetailRect
    width: window.width; height: window.height

    function getNewsModelItem(prop)
    {
        var newsIndex = listSourceModel[window.currentSourceIndex].currentPath[componentDepth-1]

        if( typeof currentSource.listModels[componentDepth-1].get(newsIndex) != "undefined" )
            if( typeof currentSource.listModels[componentDepth-1].get(newsIndex)[prop] != "undefined" )
                return currentSource.listModels[componentDepth-1].get(newsIndex)[prop]

        return ""
    }

    property string urllink: getNewsModelItem('link')
    property string htmlcontent: getNewsModelItem('detailedContent')
    property string title: getNewsModelItem('title')
    property string image: getNewsModelItem('image')

    VisualItemModel {
        id: itemModel

        Column {
            id: column
            x: 10; y: 10
            width: newsDetailRect.width - 20

            Row {
                spacing: 5

                Image {
                    id: detailImage
                    source: image
                }

                Text {
                    text: title; width: column.width - detailImage.width - 10; wrapMode: Text.WordWrap
                    font { bold: true; family: "Helvetica"; pointSize: 16 }
                }
            }

            Text {
                id: detailText
                text: htmlcontent; width: newsDetailRect.width - 20; wrapMode: Text.WordWrap
                font.family: "Helvetica"
            }
        }
    }
    ListView {
        id: itemListView
        anchors.fill: newsDetailRect
        model: itemModel
    }
    ScrollBar { scrollArea: itemListView; height: itemListView.height; width: 8; anchors.right: itemListView.right }
/*
    WebView {
        id: newsDetailWebView
        anchors.fill: parent
        html: htmlcontent
        url: urllink
        preferredWidth: window.width
        preferredHeight: window.height
    }
*/
}
